org.codehaus.groovy.control

## Class SourceExtensionHandler

- java.lang.Object
- - org.codehaus.groovy.control.SourceExtensionHandler

    public class SourceExtensionHandler
    extends java.lang.Object

Looks for source file extensions in META-INF/services/org.codehaus.groovy.source.Extensions

### Constructor Summary

Constructors
Constructor and Description
`SourceExtensionHandler()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Set<java.lang.String>` `getRegisteredExtensions(java.lang.ClassLoader loader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceExtensionHandler

    public SourceExtensionHandler()

### Method Detail

#### getRegisteredExtensions

    public static java.util.Set<java.lang.String> getRegisteredExtensions(java.lang.ClassLoader loader)